# Operating Plan Kite numbers calculator

This application extract the numbers of signups, resurrected, cold and active users based on Kite index information.
The extracted numbers can be used in the Operating Plan.

## Requirements
* Python 3.X
* Preferably use [`Pipenv`](https://pipenv.readthedocs.io/en/latest/) for package management and for creating virtual environment, all required libraries can be found in the [Pipefile](Pipefile).

## Environment Variables
You need to set the following environment variables:

* **KITE_ES_HOST**: the url to elasticsearch kite host, if not set, the default value will be  localhost:9200
* **KITE_INDEX_NAME**: the name of kite index
* **KITE_EXTRACTOR_YEARMONTH**: a string of the format "YYYY-mm", it represents the year and month of the kite data that we want to read.


## How to run

### Without docker
* Open your command-line tool.
* Set the environment variables.
* Activate the virtual environment:
  1. Go to the directory of the source code.
  2. Call `pipenv install`
  3. Call `pipenv shell`
* Call `python app.py`

### With Docker
* Open your command-line tool.
* Go to the directory of the source code.
* Call `docker build . -t op-kite-calculator:v0.0.1 --no-cache`
* Call `docker run -e "KITE_ES_HOST=elasticsearch_ip:elasticsearch_port" -e "KITE_INDEX_NAME=minds-kite-2019" -e "KITE_EXTRACTOR_YEARMONTH=2020-01" op-kite-calculator:v0.0.1`

## How it works
1. The kite date of the chosen month will be read from Elasticsearch.
2. The data will be processed by Pandas in order to generate the stats.

## How to fill the operating plan sheet?
* General
	- Pageviews - from pro: ?
	- Pageviews - organic: Kibana -> Visualize -> RA - Operating Plan - Monthly Pageviews/web visitors --> the pageviews line


* Users
	 - Unique Monthly Visitors: formula
		- Web: Kibana -> Visualize -> RA - Operating Plan - Monthly Pageviews/web visitors --> the unique Web visitors line ([link](https://kibana.minds.com/app/kibana#/visualize/edit/f18125d0-53cf-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!f,params:(query:pageview,type:phrase),type:phrase,value:pageview),query:(match:(action.keyword:(query:pageview,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:Pageviews),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Unique+Web+visitors',field:cookie_id.keyword),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:Pageviews),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Unique+Web+visitors'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:Pageviews),type:value))),title:'RA+-+Operating+Plan+-+Monthly+Pageviews%2Fweb+visitors',type:line))))
		- Mobile: Kibana -> Visualize -> RA - Operating Plan - Monthly Mobile Unique Users ([link](https://kibana.minds.com/app/kibana#/visualize/edit/33134580-53d2-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!f,params:(query:mobile,type:phrase),type:phrase,value:mobile),query:(match:(platform.keyword:(query:mobile,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Unique+Mobile+Users',field:user_guid.keyword),schema:metric,type:cardinality),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Unique+Mobile+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Unique+Mobile+Users'),type:value))),title:'RA+-+Operating+Plan+-+Monthly+Mobile+Unique+Users',type:line))))
		- Other: Kibana -> Visualize -> RA - Operating Plan - Monthly Other Unique Users ([link](https://kibana.minds.com/app/kibana#/visualize/edit/95405400-53d2-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!f,params:(query:other,type:phrase),type:phrase,value:other),query:(match:(platform.keyword:(query:other,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Unique+Other+users',field:user_guid.keyword),schema:metric,type:cardinality),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,orderBucketsBySum:!t,seriesParams:!((data:(id:'1',label:'Unique+Other+users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Unique+Other+users'),type:value))),title:'RA+-+Operating+Plan+-+Monthly+Other+Unique+Users',type:line))))
	- Total Registered Users: formula
	- Signups: formula
		- From Pro: ?
		- Organic: Kibana -> Visualize -> RA - Operating Plan - Monthly Signups (kite) ([link](https://kibana.minds.com/app/kibana#/visualize/edit/f1ecb180-53d2-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AWkPag5hqMVZaKMRnjuZ,key:state,negate:!f,params:(query:new,type:phrase),type:phrase,value:new),query:(match:(state:(query:new,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:Signups),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:reference_date,interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,orderBucketsBySum:!t,seriesParams:!((data:(id:'1',label:Signups),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:Signups),type:value))),title:'RA+-+Operating+Plan+-+Monthly+Signups+(kite)',type:line))))
	- Absolute MAU: Kibana -> Visualize -> RA - Operating Plan - MAU (Logged-in) ([link](https://kibana.minds.com/app/kibana#/visualize/edit/6fe98040-53d3-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'MAU+(Logged-in)',field:user_guid.keyword),schema:metric,type:cardinality),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,orderBucketsBySum:!t,seriesParams:!((data:(id:'1',label:'MAU+(Logged-in)'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'MAU+(Logged-in)'),type:value))),title:'RA+-+Operating+Plan+-+MAU+(Logged-in)',type:line))))
	    - Web: Kibana -> Visualize -> RA - Operating Plan - MAU (Logged-in) Per Platform ([link](https://kibana.minds.com/app/kibana#/visualize/edit/1265ae40-5954-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!t,params:(query:ios,type:phrase),type:phrase,value:ios),query:(match:(platform.keyword:(query:ios,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'MAU+(Logged-in)',field:user_guid.keyword),schema:metric,type:cardinality),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:platform.keyword,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,size:5),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'MAU+(Logged-in)'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'MAU+(Logged-in)'),type:value))),title:'RA+-+Operating+Plan+-+MAU+(Logged-in)+Per+Platform',type:line))))
	    - Mobile: Kibana -> Visualize -> RA - Operating Plan - MAU (Logged-in) Per Platform ([link](https://kibana.minds.com/app/kibana#/visualize/edit/1265ae40-5954-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!t,params:(query:ios,type:phrase),type:phrase,value:ios),query:(match:(platform.keyword:(query:ios,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'MAU+(Logged-in)',field:user_guid.keyword),schema:metric,type:cardinality),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:platform.keyword,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,size:5),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'MAU+(Logged-in)'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'MAU+(Logged-in)'),type:value))),title:'RA+-+Operating+Plan+-+MAU+(Logged-in)+Per+Platform',type:line))))
	    - Other: Kibana -> Visualize -> RA - Operating Plan - MAU (Logged-in) Per Platform ([link](https://kibana.minds.com/app/kibana#/visualize/edit/1265ae40-5954-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!t,params:(query:ios,type:phrase),type:phrase,value:ios),query:(match:(platform.keyword:(query:ios,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'MAU+(Logged-in)',field:user_guid.keyword),schema:metric,type:cardinality),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:platform.keyword,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,size:5),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'MAU+(Logged-in)'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'MAU+(Logged-in)'),type:value))),title:'RA+-+Operating+Plan+-+MAU+(Logged-in)+Per+Platform',type:line))))
	- Active MAU: Formula
		- Resurrected, wend cold from signup, went cold from resurrected, went cold from active last month, remaind active (you can get these numbers by running https://gitlab.com/minds/data-science/op-kite-calculator)
		- Went Cold: formula
	- Avg. Absolute DAU (Web, Mobile, Other): Kibana -> Visualize -> RA - Operating Plan - DAU Logged-in Average ([link](https://kibana.minds.com/app/kibana#/visualize/edit/2d49b980-5955-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customBucket:(enabled:!t,id:'1-bucket',params:(customInterval:'2h',drop_partials:!f,extended_bounds:(),field:'@timestamp',interval:d,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:bucketAgg,type:date_histogram),customLabel:'Averge+DAU',customMetric:(enabled:!t,id:'1-metric',params:(field:user_guid.keyword),schema:metricAgg,type:cardinality)),schema:metric,type:avg_bucket),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Averge+DAU'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Averge+DAU'),type:value))),title:'RA+-+Operating+Plan+-+DAU+Logged-in+Average',type:line))))
		- Web: Kibana -> Visualize -> RA - Operating Plan - DAU Logged-in Average per platform Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/c1f64c70-3145-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!t,params:(query:ios,type:phrase),type:phrase,value:ios),query:(match:(platform.keyword:(query:ios,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customBucket:(enabled:!t,id:'1-bucket',params:(customInterval:'2h',drop_partials:!f,extended_bounds:(),field:'@timestamp',interval:d,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:bucketAgg,type:date_histogram),customMetric:(enabled:!t,id:'1-metric',params:(field:user_guid.keyword),schema:metricAgg,type:cardinality)),schema:metric,type:avg_bucket),(enabled:!t,id:'2',params:(customInterval:'2h',drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:platform.keyword,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:_key,otherBucket:!f,otherBucketLabel:Other,size:7),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!f,style:(color:%23eee)),legendPosition:right,seriesParams:!((data:(id:'1',label:'Overall+Average+of+Unique+count+of+user_guid.keyword'),drawLinesBetweenPoints:!t,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Overall+Average+of+Unique+count+of+user_guid.keyword'),type:value))),title:'RA+-+Operating+Plan+-+DAU+Logged-in+Average+per+platform+Line+Chart',type:line))))
	    - Mobile: Kibana -> Visualize -> RA - Operating Plan - DAU Logged-in Average per platform Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/c1f64c70-3145-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!t,params:(query:ios,type:phrase),type:phrase,value:ios),query:(match:(platform.keyword:(query:ios,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customBucket:(enabled:!t,id:'1-bucket',params:(customInterval:'2h',drop_partials:!f,extended_bounds:(),field:'@timestamp',interval:d,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:bucketAgg,type:date_histogram),customMetric:(enabled:!t,id:'1-metric',params:(field:user_guid.keyword),schema:metricAgg,type:cardinality)),schema:metric,type:avg_bucket),(enabled:!t,id:'2',params:(customInterval:'2h',drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:platform.keyword,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:_key,otherBucket:!f,otherBucketLabel:Other,size:7),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!f,style:(color:%23eee)),legendPosition:right,seriesParams:!((data:(id:'1',label:'Overall+Average+of+Unique+count+of+user_guid.keyword'),drawLinesBetweenPoints:!t,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Overall+Average+of+Unique+count+of+user_guid.keyword'),type:value))),title:'RA+-+Operating+Plan+-+DAU+Logged-in+Average+per+platform+Line+Chart',type:line))))
	    - Other: Kibana -> Visualize -> RA - Operating Plan - DAU Logged-in Average per platform Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/c1f64c70-3145-11ea-be27-0d6521841a74?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:action.keyword,negate:!t,params:(query:signup,type:phrase),type:phrase,value:signup),query:(match:(action.keyword:(query:signup,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:AV8nPSmRQrSlQWzyBzC6,key:platform.keyword,negate:!t,params:(query:ios,type:phrase),type:phrase,value:ios),query:(match:(platform.keyword:(query:ios,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customBucket:(enabled:!t,id:'1-bucket',params:(customInterval:'2h',drop_partials:!f,extended_bounds:(),field:'@timestamp',interval:d,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:bucketAgg,type:date_histogram),customMetric:(enabled:!t,id:'1-metric',params:(field:user_guid.keyword),schema:metricAgg,type:cardinality)),schema:metric,type:avg_bucket),(enabled:!t,id:'2',params:(customInterval:'2h',drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:platform.keyword,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:_key,otherBucket:!f,otherBucketLabel:Other,size:7),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!f,style:(color:%23eee)),legendPosition:right,seriesParams:!((data:(id:'1',label:'Overall+Average+of+Unique+count+of+user_guid.keyword'),drawLinesBetweenPoints:!t,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Overall+Average+of+Unique+count+of+user_guid.keyword'),type:value))),title:'RA+-+Operating+Plan+-+DAU+Logged-in+Average+per+platform+Line+Chart',type:line))))
	- Absolute DAU / Absolute MAU: formula
	- Drop-off rate from signup: formula
	- Drop-off rate from resurrected: formula
	- Drop-off rate from active: formula
	- Absolute MAU / Unique Monthly Visitors: formula
	- Absolute MAU / Pageviews: formula

* Token
	- Token Price: fixed
	- Market Cap: fixed
	- Total Supply: fixed
	- Tokens Minted: fixed
	- Minds Balance: formula
	- Tokens Reclaimed: formula
		- OnChain: formula
		- OffChain: formula
	- Tokens Rewarded: formula
	- Tokens Sold: formula
	- Circulating Supply: formula
	- Recognition Price: formula
	- Tokens Rewarded per Active MAU: formula

* Boost
	- Transactions: formula
		- OnChain: Kibana -> Visualize -> RA - Operating Plan - Boosts OnChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/b260be70-7afd-11e9-a86b-d1851c5f4ba2?_g=(refreshInterval:(pause:!t,value:0),time:(from:now-6M,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:boost,type:phrase),type:phrase,value:boost),query:(match:(transactionCategory:(query:boost,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Reclaimed+token+from+OnChain+Boosts',field:tokenValue),schema:metric,type:sum),(enabled:!t,id:'1',params:(customLabel:'Number+of+Onchain+Boosts+Transactions'),schema:metric,type:count),(enabled:!t,id:'4',params:(customLabel:'Number+of+Users+used+OnChain+Boost',field:from),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'3',label:'Reclaimed+token+from+OnChain+Boosts'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'1',label:'Number+of+Onchain+Boosts+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:2,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Users+used+OnChain+Boost'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:Count),type:value))),title:'RA+-+Operating+Plan+-+Boosts+OnChain+Monthly+Transactions+Line+Chart',type:line))))
		- OffChain: formula
			- Newsfeed & Sidebar: Kibana -> Visualize -> RA - Operating Plan - Boosts OffChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/f494d7c0-6056-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),exists:(field:'@completed'),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:'@completed',negate:!f,type:exists,value:exists)),('$state':(store:appState),exists:(field:'@rejected'),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:'@rejected',negate:!t,type:exists,value:exists)),('$state':(store:appState),exists:(field:'@revoked'),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:'@revoked',negate:!t,type:exists,value:exists)),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:bid_type,negate:!t,params:(query:usd,type:phrase),type:phrase,value:usd),query:(match:(bid_type:(query:usd,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:bid_type,negate:!t,params:(query:offchain,type:phrase),type:phrase,value:offchain),query:(match:(bid_type:(query:offchain,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Boost+Transactions+Count'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:type,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,size:5),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Boost+Transactions+Count'),drawLinesBetweenPoints:!t,interpolate:cardinal,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(max:50000,min:2000,mode:normal,setYExtents:!t,type:linear),show:!t,style:(),title:(text:'Boost+Transactions+Count'),type:value))),title:'RA+-+Operating+Plan+-+Boosts+OffChain+Monthly+Transactions+Line+Chart',type:line))))
	- Tokens Reclaimed: formula
		- OnChain: Kibana -> Visualize -> RA - Operating Plan - Boosts OnChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/b260be70-7afd-11e9-a86b-d1851c5f4ba2?_g=(refreshInterval:(pause:!t,value:0),time:(from:now-6M,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:boost,type:phrase),type:phrase,value:boost),query:(match:(transactionCategory:(query:boost,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Reclaimed+token+from+OnChain+Boosts',field:tokenValue),schema:metric,type:sum),(enabled:!t,id:'1',params:(customLabel:'Number+of+Onchain+Boosts+Transactions'),schema:metric,type:count),(enabled:!t,id:'4',params:(customLabel:'Number+of+Users+used+OnChain+Boost',field:from),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'3',label:'Reclaimed+token+from+OnChain+Boosts'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'1',label:'Number+of+Onchain+Boosts+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:2,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Users+used+OnChain+Boost'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:Count),type:value))),title:'RA+-+Operating+Plan+-+Boosts+OnChain+Monthly+Transactions+Line+Chart',type:line))))
		- OffChain: formula
			-  Newsfeed & Sidebar: Kibana -> Visualize -> RA - Operating Plan - Boosts OnChain Monthly reclaimed tokens Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/1d2e16f0-60f3-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:token_method,negate:!f,params:(query:offchain,type:phrase),type:phrase,value:offchain),query:(match:(token_method:(query:offchain,type:phrase)))),('$state':(store:appState),exists:(field:'@completed'),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:'@completed',negate:!f,type:exists,value:exists))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Tokens+Reclaimed',field:bid),schema:metric,type:sum),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'5',params:(field:type,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,size:5),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Tokens+Reclaimed'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!t,max:80000,min:2000,mode:normal,setYExtents:!t,type:linear),show:!t,style:(),title:(text:'Tokens+Reclaimed'),type:value))),title:'RA+-+Operating+Plan+-+Boosts+OnChain+Monthly+reclaimed+tokens+Line+Chart',type:line))))
	- Total Views Served: formula
		- OnChain: formula
		- OffChain: formula
			- Newsfeed & content:  Kibana -> Visualize -> RA - Operating Plan - Boosts OnChain Monthly served impressions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/2b8f76a0-6060-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),exists:(field:'@completed'),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:'@completed',negate:!f,type:exists,value:exists)),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:bid_type,negate:!t,params:(query:usd,type:phrase),type:phrase,value:usd),query:(match:(bid_type:(query:usd,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:cfc5ec00-5d12-11e9-a86b-d1851c5f4ba2,key:token_method,negate:!f,params:(query:offchain,type:phrase),type:phrase,value:offchain),query:(match:(token_method:(query:offchain,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Total+Impressions+Served',field:impressions),schema:metric,type:sum),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(field:type,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,size:5),schema:group,type:terms)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Total+Impressions+Served'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,max:70000000,min:70000,mode:normal,setYExtents:!t,type:linear),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Boosts+OnChain+Monthly+served+impressions+Line+Chart',type:line))))
	- Average views per transaction: formula
	- Transactions per Active MAU: formula

* Plus
	- Total USD Customers: ?
	- Total Legacy USD Customers: ?
	- Total Token Customers: Formula
		- Annual: Kibana -> Visualize -> RA - Operating Plan - Plus OnChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/7c4db810-7b02-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:plus,type:phrase),type:phrase,value:plus),query:(match:(transactionCategory:(query:plus,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Onchain+Plus+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Numberof+OnChain+Plus+Users',field:from),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'OnChain+Plus+Reclaimed+Tokens',field:tokenValue),schema:metric,type:sum)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+Onchain+Plus+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Numberof+OnChain+Plus+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'OnChain+Plus+Reclaimed+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Plus+OnChain+Monthly+Transactions+Line+Chart',type:line))))
		- Monthly: Kibana -> Visualize -> RA - Operating Plan - Plus OffChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/a05ac3c0-71ab-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(query:-20,type:phrase),type:phrase,value:'-20'),query:(match:(amount:(query:-20,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:wire_receiver_guid,negate:!f,params:'730071191229833224',type:phrase,value:''),query:(match:(wire_receiver_guid:'730071191229833224')))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'OffChain+Plus+Tokens',field:amount,json:'%7B%0A%22script%22:+%7B%0A++++++++%22lang%22:+++%22expression%22,%0A++++++++%22inline%22:+%22doc%5B!'amount!'%5D+*+multiplier%22,%0A++++++++%22params%22:+%7B%0A++++++++++%22multiplier%22:+-1%0A++++++++%7D%0A++++++%7D%0A%7D'),schema:metric,type:sum),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Number+of+OffChain+Plus+Users',field:wire_sender_guid),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'OffChain+Plus+Transactions'),schema:metric,type:count)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'OffChain+Plus+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Number+of+OffChain+Plus+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'OffChain+Plus+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,mode:normal,setYExtents:!f,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Plus+OffChain+Monthly+Transactions+Line+Chart',type:line))))
	- Total Plus Customers: formula
	- Tokens Reclaimed: formula
		- OnChain: Kibana -> Visualize -> RA - Operating Plan - Plus OnChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/7c4db810-7b02-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:plus,type:phrase),type:phrase,value:plus),query:(match:(transactionCategory:(query:plus,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Onchain+Plus+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Numberof+OnChain+Plus+Users',field:from),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'OnChain+Plus+Reclaimed+Tokens',field:tokenValue),schema:metric,type:sum)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+Onchain+Plus+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Numberof+OnChain+Plus+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'OnChain+Plus+Reclaimed+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Plus+OnChain+Monthly+Transactions+Line+Chart',type:line))))
		- OffChain: Kibana -> Visualize -> RA - Operating Plan - Plus OffChain Monthly Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/a05ac3c0-71ab-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(query:-20,type:phrase),type:phrase,value:'-20'),query:(match:(amount:(query:-20,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:wire_receiver_guid,negate:!f,params:'730071191229833224',type:phrase,value:''),query:(match:(wire_receiver_guid:'730071191229833224')))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'OffChain+Plus+Tokens',field:amount,json:'%7B%0A%22script%22:+%7B%0A++++++++%22lang%22:+++%22expression%22,%0A++++++++%22inline%22:+%22doc%5B!'amount!'%5D+*+multiplier%22,%0A++++++++%22params%22:+%7B%0A++++++++++%22multiplier%22:+-1%0A++++++++%7D%0A++++++%7D%0A%7D'),schema:metric,type:sum),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Number+of+OffChain+Plus+Users',field:wire_sender_guid),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'OffChain+Plus+Transactions'),schema:metric,type:count)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'OffChain+Plus+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Number+of+OffChain+Plus+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'OffChain+Plus+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,mode:normal,setYExtents:!f,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Plus+OffChain+Monthly+Transactions+Line+Chart',type:line))))
	- Price (Tokens): ?
	- Price (USD): ?
	- Legacy Price (USD): ?
	- Plus USD Customers / Active MAU: formula
	- Plus Token Customers / Active MAU: formula

* Pro
	- Total USD Customers: ?
	- Total Token Customers: ?
	- Total Pro Customers: formula
	- Tokens Reclaimed: formula
	- Price (Tokens): fixed
	- Price (USD): fixed
	- Referred Pageview RPM: ?
	- Referred Active User RPM: ?
	- Referred Sales Commission %: formula
	- Referred Boostview RPM: ?
	- Pro USD Customers / Active MAU: formula
	- Pro Token Customers / Active MAU: formula

* Hosting: fixed for the moment

* Minds Pay
	- Token Users: formula
		- OffChain: Kibana -> Visualize -> RA - Operating Plan - OffChain Token Wires Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/c0c56990-77e5-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:(query:'offchain:wire',type:phrase),type:phrase,value:'offchain:wire'),query:(match:(contract:(query:'offchain:wire',type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:query,negate:!f,type:custom,value:'%7B%22bool%22:%7B%22must_not%22:%5B%7B%22term%22:%7B%22wire_receiver_guid%22:%22730071191229833224%22%7D%7D%5D%7D%7D'),query:(bool:(must_not:!((term:(wire_receiver_guid:'730071191229833224'))))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+OffChain+Wire+Transacrtions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Wired+Tokens',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:'Number+of+Wire+Senders',field:wire_sender_guid),schema:metric,type:cardinality),(enabled:!t,id:'5',params:(customLabel:'Number+of+Wire+Receivers',field:wire_receiver_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+OffChain+Wire+Transacrtions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Wired+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Wire+Senders'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+Wire+Receivers'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(max:300000,min:800,mode:normal,setYExtents:!t,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Token+Wires+Transactions+Line+Chart',type:line))))
		- OnChain: Kibana -> Visualize -> RA - Operating Plan - OnChain Token Wires Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/4bfbdf60-7b0d-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:wire,type:phrase),type:phrase,value:wire),query:(match:(transactionCategory:(query:wire,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+OnChain+Wire+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Number+of+Wiring+Users',field:from),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'Number+of+Wired+Users',field:to),schema:metric,type:cardinality),(enabled:!t,id:'5',params:(customLabel:'Volum+of+token+OnChain+Wires',field:tokenValue),schema:metric,type:sum)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+OnChain+Wire+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Number+of+Wiring+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Wired+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Volum+of+token+OnChain+Wires'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OnChain+Token+Wires+Transactions+Line+Chart',type:line))))
	- Token Transactions: formula
		- OffChain: Kibana -> Visualize -> RA - Operating Plan - OffChain Token Wires Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/c0c56990-77e5-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:(query:'offchain:wire',type:phrase),type:phrase,value:'offchain:wire'),query:(match:(contract:(query:'offchain:wire',type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:query,negate:!f,type:custom,value:'%7B%22bool%22:%7B%22must_not%22:%5B%7B%22term%22:%7B%22wire_receiver_guid%22:%22730071191229833224%22%7D%7D%5D%7D%7D'),query:(bool:(must_not:!((term:(wire_receiver_guid:'730071191229833224'))))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+OffChain+Wire+Transacrtions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Wired+Tokens',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:'Number+of+Wire+Senders',field:wire_sender_guid),schema:metric,type:cardinality),(enabled:!t,id:'5',params:(customLabel:'Number+of+Wire+Receivers',field:wire_receiver_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+OffChain+Wire+Transacrtions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Wired+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Wire+Senders'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+Wire+Receivers'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(max:300000,min:800,mode:normal,setYExtents:!t,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Token+Wires+Transactions+Line+Chart',type:line))))
		- OnChain: Kibana -> Visualize -> RA - Operating Plan - OnChain Token Wires Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/4bfbdf60-7b0d-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:wire,type:phrase),type:phrase,value:wire),query:(match:(transactionCategory:(query:wire,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+OnChain+Wire+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Number+of+Wiring+Users',field:from),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'Number+of+Wired+Users',field:to),schema:metric,type:cardinality),(enabled:!t,id:'5',params:(customLabel:'Volum+of+token+OnChain+Wires',field:tokenValue),schema:metric,type:sum)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+OnChain+Wire+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Number+of+Wiring+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Wired+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Volum+of+token+OnChain+Wires'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OnChain+Token+Wires+Transactions+Line+Chart',type:line))))
	- Token Volume: formula
		- OffChain: Kibana -> Visualize -> RA - Operating Plan - OffChain Token Wires Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/c0c56990-77e5-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:(query:'offchain:wire',type:phrase),type:phrase,value:'offchain:wire'),query:(match:(contract:(query:'offchain:wire',type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:query,negate:!f,type:custom,value:'%7B%22bool%22:%7B%22must_not%22:%5B%7B%22term%22:%7B%22wire_receiver_guid%22:%22730071191229833224%22%7D%7D%5D%7D%7D'),query:(bool:(must_not:!((term:(wire_receiver_guid:'730071191229833224'))))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+OffChain+Wire+Transacrtions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-1y,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Wired+Tokens',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:'Number+of+Wire+Senders',field:wire_sender_guid),schema:metric,type:cardinality),(enabled:!t,id:'5',params:(customLabel:'Number+of+Wire+Receivers',field:wire_receiver_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+OffChain+Wire+Transacrtions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Wired+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Wire+Senders'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+Wire+Receivers'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(max:300000,min:800,mode:normal,setYExtents:!t,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Token+Wires+Transactions+Line+Chart',type:line))))
		- OnChain: Kibana -> Visualize -> RA - Operating Plan - OnChain Token Wires Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/4bfbdf60-7b0d-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:wire,type:phrase),type:phrase,value:wire),query:(match:(transactionCategory:(query:wire,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:isTokenTransaction,negate:!f,params:(query:!t,type:phrase),type:phrase,value:true),query:(match:(isTokenTransaction:(query:!t,type:phrase)))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:function,negate:!f,params:(query:approveAndCall,type:phrase),type:phrase,value:approveAndCall),query:(match:(function:(query:approveAndCall,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+OnChain+Wire+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Number+of+Wiring+Users',field:from),schema:metric,type:cardinality),(enabled:!t,id:'4',params:(customLabel:'Number+of+Wired+Users',field:to),schema:metric,type:cardinality),(enabled:!t,id:'5',params:(customLabel:'Volum+of+token+OnChain+Wires',field:tokenValue),schema:metric,type:sum)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+OnChain+Wire+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Number+of+Wiring+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Number+of+Wired+Users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Volum+of+token+OnChain+Wires'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OnChain+Token+Wires+Transactions+Line+Chart',type:line))))
	- USD Users: ?
	- USD Transactions: ?
	- USD Volume: ?
	- Tokens Reclaimed: ?
		- OnChain: ?
		- OffChain: ?
	- Token Users / Active MAU: formula
	- Avg. Transactions per Token User: formula
	- Avg. Volume per Token Transaction: formula
	- USD Users / Active MAU: formula
	- Avg. Transactions per USD User: formula
	- Avg. Volume per USD Transaction: formula

* Rewards
	- Total users in the program: formula
	- Total users rewarded: formula
		- Rward: Kibana -> Visualize -> RA - Operating Plan - OffChain Reward Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/650925b0-7817-11e9-a86b-d1851c5f4ba2?_g=(refreshInterval:(pause:!t,value:0),time:(from:now-6M,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:!('offchain:reward','offchain:joined'),type:phrases,value:'offchain:reward,+offchain:joined'),query:(bool:(minimum_should_match:1,should:!((match_phrase:(contract:'offchain:reward')),(match_phrase:(contract:'offchain:joined'))))))),linked:!f,query:(language:lucene,query:''),uiState:(vis:(colors:('Number+of+rewarded+users':%232F575E))),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Reward+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Rewarded+token',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:_,field:contract,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,row:!f,size:5),schema:split,type:terms),(enabled:!t,id:'5',params:(customLabel:'Number+of+rewarded+users',field:user_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+Reward+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Rewarded+token'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+rewarded+users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,mode:normal,setYExtents:!f,type:linear),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Reward+Transactions+Line+Chart',type:line))))
		- Join: Kibana -> Visualize -> RA - Operating Plan - OffChain Reward Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/650925b0-7817-11e9-a86b-d1851c5f4ba2?_g=(refreshInterval:(pause:!t,value:0),time:(from:now-6M,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:!('offchain:reward','offchain:joined'),type:phrases,value:'offchain:reward,+offchain:joined'),query:(bool:(minimum_should_match:1,should:!((match_phrase:(contract:'offchain:reward')),(match_phrase:(contract:'offchain:joined'))))))),linked:!f,query:(language:lucene,query:''),uiState:(vis:(colors:('Number+of+rewarded+users':%232F575E))),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Reward+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Rewarded+token',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:_,field:contract,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,row:!f,size:5),schema:split,type:terms),(enabled:!t,id:'5',params:(customLabel:'Number+of+rewarded+users',field:user_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+Reward+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Rewarded+token'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+rewarded+users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,mode:normal,setYExtents:!f,type:linear),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Reward+Transactions+Line+Chart',type:line))))
	- New users who joined program: formula
	- Tokens Rewarded: formula
		- From reward program: Kibana -> Visualize -> RA - Operating Plan - OffChain Reward Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/650925b0-7817-11e9-a86b-d1851c5f4ba2?_g=(refreshInterval:(pause:!t,value:0),time:(from:now-6M,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:!('offchain:reward','offchain:joined'),type:phrases,value:'offchain:reward,+offchain:joined'),query:(bool:(minimum_should_match:1,should:!((match_phrase:(contract:'offchain:reward')),(match_phrase:(contract:'offchain:joined'))))))),linked:!f,query:(language:lucene,query:''),uiState:(vis:(colors:('Number+of+rewarded+users':%232F575E))),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Reward+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Rewarded+token',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:_,field:contract,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,row:!f,size:5),schema:split,type:terms),(enabled:!t,id:'5',params:(customLabel:'Number+of+rewarded+users',field:user_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+Reward+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Rewarded+token'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+rewarded+users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,mode:normal,setYExtents:!f,type:linear),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Reward+Transactions+Line+Chart',type:line))))
		- Join: Kibana -> Visualize -> RA - Operating Plan - OffChain Reward Transactions Line Chart (it should be equal to the number of rewarded users from Join) ([link](https://kibana.minds.com/app/kibana#/visualize/edit/650925b0-7817-11e9-a86b-d1851c5f4ba2?_g=(refreshInterval:(pause:!t,value:0),time:(from:now-6M,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:amount,negate:!f,params:(gte:0,lt:!n),type:range,value:'0+to+%2B%E2%88%9E'),range:(amount:(gte:0,lt:!n))),('$state':(store:appState),meta:(alias:!n,disabled:!f,index:bc016770-6803-11e9-a86b-d1851c5f4ba2,key:contract,negate:!f,params:!('offchain:reward','offchain:joined'),type:phrases,value:'offchain:reward,+offchain:joined'),query:(bool:(minimum_should_match:1,should:!((match_phrase:(contract:'offchain:reward')),(match_phrase:(contract:'offchain:joined'))))))),linked:!f,query:(language:lucene,query:''),uiState:(vis:(colors:('Number+of+rewarded+users':%232F575E))),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Reward+Transactions'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'3',params:(customLabel:'Rewarded+token',field:amount),schema:metric,type:sum),(enabled:!t,id:'4',params:(customLabel:_,field:contract,missingBucket:!f,missingBucketLabel:Missing,order:desc,orderBy:'1',otherBucket:!f,otherBucketLabel:Other,row:!f,size:5),schema:split,type:terms),(enabled:!t,id:'5',params:(customLabel:'Number+of+rewarded+users',field:user_guid),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!t,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,seriesParams:!((data:(id:'1',label:'Number+of+Reward+Transactions'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'3',label:'Rewarded+token'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+rewarded+users'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(defaultYExtents:!f,mode:normal,setYExtents:!f,type:linear),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+OffChain+Reward+Transactions+Line+Chart',type:line))))
	- Total users rewarded / Active MAU: formula
	- New users who joined / Signups: formula

* Token Sales
	- Sale Transactions: Kibana -> Visualize -> RA - Operating Plan - Token Sales Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/b161f7d0-7b18-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:sale,type:phrase),type:phrase,value:sale),query:(match:(transactionCategory:(query:sale,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Token+Sale+Transaction'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'4',params:(customLabel:'Sold+Tokens',field:tokenValue),schema:metric,type:sum),(enabled:!t,id:'5',params:(customLabel:'Number+of+Users+Buying+tokens',field:to),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,orderBucketsBySum:!t,seriesParams:!((data:(id:'1',label:'Number+of+Token+Sale+Transaction'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Sold+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+Users+Buying+tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Token+Sales+Transactions+Line+Chart',type:line))))
	- Sale Users: Kibana -> Visualize -> RA - Operating Plan - Token Sales Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/b161f7d0-7b18-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:sale,type:phrase),type:phrase,value:sale),query:(match:(transactionCategory:(query:sale,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Token+Sale+Transaction'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'4',params:(customLabel:'Sold+Tokens',field:tokenValue),schema:metric,type:sum),(enabled:!t,id:'5',params:(customLabel:'Number+of+Users+Buying+tokens',field:to),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,orderBucketsBySum:!t,seriesParams:!((data:(id:'1',label:'Number+of+Token+Sale+Transaction'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Sold+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+Users+Buying+tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Token+Sales+Transactions+Line+Chart',type:line))))
	- Tokens Sold: Kibana -> Visualize -> RA - Operating Plan - Token Sales Transactions Line Chart ([link](https://kibana.minds.com/app/kibana#/visualize/edit/b161f7d0-7b18-11e9-a86b-d1851c5f4ba2?_g=(filters:!(),refreshInterval:(pause:!t,value:0),time:(from:now-1y,mode:quick,to:now))&_a=(filters:!(('$state':(store:appState),meta:(alias:!n,disabled:!f,index:'396fca60-7af3-11e9-a86b-d1851c5f4ba2',key:transactionCategory,negate:!f,params:(query:sale,type:phrase),type:phrase,value:sale),query:(match:(transactionCategory:(query:sale,type:phrase))))),linked:!f,query:(language:lucene,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Number+of+Token+Sale+Transaction'),schema:metric,type:count),(enabled:!t,id:'2',params:(customInterval:'2h',customLabel:Month,drop_partials:!t,extended_bounds:(),field:'@timestamp',interval:M,min_doc_count:1,timeRange:(from:now-6M,mode:quick,to:now),time_zone:UTC,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'4',params:(customLabel:'Sold+Tokens',field:tokenValue),schema:metric,type:sum),(enabled:!t,id:'5',params:(customLabel:'Number+of+Users+Buying+tokens',field:to),schema:metric,type:cardinality)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!t,style:(color:%23eee),valueAxis:ValueAxis-1),legendPosition:top,orderBucketsBySum:!t,seriesParams:!((data:(id:'1',label:'Number+of+Token+Sale+Transaction'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:true,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'4',label:'Sold+Tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1),(data:(id:'5',label:'Number+of+Users+Buying+tokens'),drawLinesBetweenPoints:!t,interpolate:cardinal,lineWidth:3,mode:normal,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:line,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:log),show:!t,style:(),title:(text:''),type:value))),title:'RA+-+Operating+Plan+-+Token+Sales+Transactions+Line+Chart',type:line))))
	- Total Sales (Month): formula
	- Total Sales (All-time): formula
	- Total Deferred Revenue: formula
	- Sales Users / Active MAU: formula
	- Avg. Transactions per Sales User: formula